Skip to main content
GET
GET jobs instances
GET all Jobs instances. Returns a paginated list of Jobs.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/jobs/[a-f0-9]{16}$
Example:

"/api/v1/jobs/0d77065796f8d173"

analysis_type
string
required

The type of analysis. See the analysis resource for more details.

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

job_args_schema
Job Args Schema · object
required

The JSON schema for the arguments taken by the job (can be an empty object, i.e., {}).

name
string
required

The name of the job (this is displayed in the dropdown on the analysis page of the One Codex web application).

public
boolean
required

Whether the job is publicly available. For most jobs this will be true. Custom, private jobs are also available, and will only be visible to users whose samples (or samples shared with them) have been analyzed using that job.